Bug 94967 - AX: Should be able to tab to focus a link in a canvas subtree
Summary: AX: Should be able to tab to focus a link in a canvas subtree
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Accessibility (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Dominic Mazzoni
URL:
Keywords:
Depends on: 95329
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-24 12:38 PDT by Dominic Mazzoni
Modified: 2012-08-29 05:23 PDT (History)
3 users (show)

See Also:


Attachments
Patch (4.00 KB, patch)
2012-08-24 12:40 PDT, Dominic Mazzoni
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from gce-cr-linux-08 (585.59 KB, application/zip)
2012-08-24 13:33 PDT, WebKit Review Bot
no flags Details
Patch (3.95 KB, patch)
2012-08-24 14:42 PDT, Dominic Mazzoni
no flags Details | Formatted Diff | Diff
Patch for landing (3.86 KB, patch)
2012-08-28 10:56 PDT, Dominic Mazzoni
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dominic Mazzoni 2012-08-24 12:38:47 PDT
You can tab to focus controls in a canvas subtree (since bug 87898 was fixed), and you can explicitly focus a link from JavaScript, but you can't tab to focus links.

This is an easy fix, HTMLAnchorElement is check hasNonEmptyBoundingBox in order to skip empty links, but links within a canvas subtree should just avoid this check.
Comment 1 Dominic Mazzoni 2012-08-24 12:40:54 PDT
Created attachment 160476 [details]
Patch
Comment 2 WebKit Review Bot 2012-08-24 13:33:11 PDT
Comment on attachment 160476 [details]
Patch

Attachment 160476 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/13595280

New failing tests:
fast/events/tab-focus-link-in-canvas.html
Comment 3 WebKit Review Bot 2012-08-24 13:33:13 PDT
Created attachment 160490 [details]
Archive of layout-test-results from gce-cr-linux-08

The attached test failures were seen while running run-webkit-tests on the chromium-ews.
Bot: gce-cr-linux-08  Port: <class 'webkitpy.common.config.ports.ChromiumXVFBPort'>  Platform: Linux-2.6.39-gcg-201203291735-x86_64-with-Ubuntu-10.04-lucid
Comment 4 Dominic Mazzoni 2012-08-24 14:42:56 PDT
Created attachment 160503 [details]
Patch
Comment 5 chris fleizach 2012-08-28 10:53:11 PDT
Comment on attachment 160503 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=160503&action=review

looks good

> Source/WebCore/ChangeLog:9
> +        Additional information of the change such as approach, rationale. Please add per-function descriptions below (OOPS!).

remove this oops line
Comment 6 Dominic Mazzoni 2012-08-28 10:56:17 PDT
Created attachment 161012 [details]
Patch for landing
Comment 7 WebKit Review Bot 2012-08-28 12:05:21 PDT
Comment on attachment 161012 [details]
Patch for landing

Clearing flags on attachment: 161012

Committed r126908: <http://trac.webkit.org/changeset/126908>
Comment 8 WebKit Review Bot 2012-08-28 12:05:25 PDT
All reviewed patches have been landed.  Closing bug.